#
# spec file for package pytodo-qt
#
# Copyright (c) 2024 Michael Berry.
#

Name:           pytodo-qt
Version:        0.2.8
Release:        1
Summary:        A small cross-platform to-do application written in Python 3 and PyQt6
License:        GPL-3.0
URL:            https://github.com/berrym/pytodo-qt
Source:         https://files.pythonhosted.org/packages/source/p/pytodo-qt/pytodo-qt-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pyqt6
BuildRequires:  python3-pycryptodomex
Requires:       python3-pyqt6
Requires:       python3-pycryptodomex

%description
A small cross-platform to-do list management application written in Python 3 and PyQt6
that can synchronize lists between different machines running the app.

%global debug_package %{nil}

%prep
%setup -q -n pytodo-qt-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%clean
rm -rf %{buildroot}

%files -n pytodo-qt
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/pytodo-qt
%{python3_sitelib}/pytodo_qt/
%{python3_sitelib}/pytodo_qt-0.2.8.dist-info/

%changelog
* Fri Jan 26 2024 Michael Berry
- Initial version of the package

